Foreman - Refactor #16689

DRY similar code for controllers index
09/26/2016 06:00 AM - Shlomi Zadok

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: Web Interface
Target version: 1.14.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1391885 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3893,
https://github.com/theforeman/foreman/p
ull/3894,
https://github.com/theforeman/foreman/p
ull/3913
Description

from https://codeclimate.com/qgithub/theforeman/foreman/pull/3889
There are many controllers with the same code in index action - we should DRY it up.

Associated revisions

Revision ad94991a - 09/28/2016 03:18 AM - Shlomi Zadok
Fixes #16689 - DRY index action with search

Revision ef0146fd - 09/28/2016 06:00 AM - Daniel Lobato Garcia
Refs #16689 - Missing DRY index action controllers

Some of the controllers that could have used the refactor in #16689 were
not added in that commit.

Additionally, I've fixed the ".includes' leftover in those controllers

from Rails 3 to be '.eager_load' now. ".includes' does not change the
query in any way unless you call ".references' afterwards.

Revision e197f74f - 10/04/2016 11:15 AM - Dominic Cleal
refs #16689 - expand array of eager load tables

Previously an array of tables (e.g. on Puppetclasses, SubnetsController)
triggered false positive warnings from Bullet:

| Unused Eager Loading detected
| Subnet::Ipv4 => [[:domains, :dhcpl]]

and when no tables were passed on most index pages:

| Unused Eager Loading detected
| Domain => [[]]

History

#1 - 09/28/2016 02:30 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3893 added

#2 - 09/28/2016 02:30 AM - Shlomi Zadok

- Target version set to 1.5.3
https://codeclimate.com/github/theforeman/foreman/pull/3889

#3 - 09/28/2016 04:02 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset ad94991a861ade2d396b6bed39941644{4ebf382.

#4 - 09/28/2016 04:12 AM - Dominic Cleal
- Category set to Web Interface

- translation missing: en.field_release set to 189

#5 - 09/28/2016 04:33 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3894 added

#6 - 10/04/2016 08:36 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3913 added

#7 - 03/06/2017 06:57 AM - Kavita Gaikwad
- Bugzilla link set to 1391885
